> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Filter Fee Components



## OpenAPI

````yaml GET /billing/feeComponent/filter
openapi: 3.1.0
info:
  title: OpenAPI Valyx API
  description: To demonstrate features in the Valyx
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.valyx.com
security:
  - bearerAuth:
      - demo-api
tags:
  - name: billing
    description: External Billing APIs
  - name: external
    description: External APIs for customers
  - name: invoice
    description: Invoice APIs
  - name: creditNote
    description: Credit Note APIs
paths:
  /billing/feeComponent/filter:
    get:
      tags:
        - billing
      operationId: get_filter_fee_component
      parameters:
        - name: updatedDateFrom
          in: query
          description: Starting date for Fee Component Update
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: updatedDateTo
          in: query
          description: Ending date for Fee Component Update
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: sku
          in: query
          description: Fee Component SKU
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: name
          in: query
          description: Name of the fee component
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: hsnCode
          in: query
          description: HSN or SAC Code
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: lastModifiedBy
          in: query
          description: Last modified by
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: page
          in: query
          required: true
          schema:
            type: integer
        - name: pageSize
          in: query
          required: true
          schema:
            type: integer
        - name: X-Valyx-Signature
          in: header
          required: true
          description: Auth key for fetching ledger entries
          schema:
            type: string
      responses:
        '200':
          description: Success
components: {}

````